{pkgs, ...}: let
  hakase-hyprlock-text-generator = pkgs.writeShellScriptBin "hakase-hyprlock-text-generator" ''
    hour=$(date +%H)
    name="$USER"

    if [[ $hour -lt 12 ]]; then
      greeting="おはよう"
    elif [[ $hour -lt 18 ]]; then
      greeting="こんにちは"
    else
      greeting="こんばんは"
    fi

    echo "$greeting"
  '';
in {
  home.packages = [
    hakase-hyprlock-text-generator
  ];
}
